import java.util.*;

public class WhileVectorExample
{
	public static void main(String args[])
	{
		// WhileVectorExample
		// Assume this exists somewhere:
		Vector v = new Vector();
		// Add elements to v;
		v.add(new String("Four"));
		v.add(new String("score"));
		v.add(new String("and"));
		v.add(new String("seven"));
		v.add(new String("years"));
		v.add(new String("ago"));
		// Later . . .
		Enumeration e = v.elements();
		while (e.hasMoreElements())
		{
			Object o = e.nextElement();
			System.out.println(o);
		}
	}
}
